### A free/open-source library for quantitative finance

Public Member Functions
AnalyticSimpleChooserEngine Class Reference

Pricing engine for European Simple Chooser option. More...

`#include <ql/experimental/exoticoptions/analyticsimplechooserengine.hpp>`

Inheritance diagram for AnalyticSimpleChooserEngine:
[legend]

List of all members.

## Public Member Functions

| AnalyticSimpleChooserEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process)
void | calculate () const

## Detailed Description

Pricing engine for European Simple Chooser option.

This class implements a Simple Chooser Option option, with European exercise.